const app = getApp()
const util = require('../../../utils/util');
import apiList from '../../../utils/apiList';
import {
    Base
} from '../../../utils/base.js';
const base = new Base()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        button: true,
        isHide: false,//另一个立即支付按钮(隐藏)
        phone: '',
        note: '',
        tel: '',
        templateList: [], //订阅模板消息通知
    },


    onLoad: function (options) {
        // console.log(wx.getStorageSync('userTel'))
        // this.getTemplate()
    },
    onShow: function () {
        if (wx.getStorageSync('userTel')) {
            this.setData({
                tel: wx.getStorageSync('userTel'),
                phone: wx.getStorageSync('userTel'),
            })
        }
        
    },
    keyPhone: function (e) {
        this.setData({
            phone: e.detail.value
        })
    },
    keyNote: function (e) {
        this.setData({
            note: e.detail.value
        })
    },
    getPhoneNumber: function (e) {
        console.log(e)
        if (e.detail.errMsg == 'getPhoneNumber:ok') {
            let params = {
                url: 'user/switchPhone',
                data: {
                    encryptedData: e.detail.encryptedData,
                    iv: e.detail.iv
                },
                type: "POST",
                callback: (data) => {
                    base.toast('授权成功')
                    app.globalData.userTel = data.phoneNumber
                    wx.setStorageSync('userTel', data.phoneNumber)
                    this.setData({
                        tel: wx.getStorageSync('userTel'),
                        phone: wx.getStorageSync('userTel')
                    })
                }
            }
            base.newRequest(params)
        } else {
            base.toast('授权失败，无法查看')
        }
    },
    getTemplate: function () {
      var that = this
      let params = {
        url: 'subscribe/list',
        data: {
          type: 3
        },
        callback: (data) => {
          that.setData({
            templateList: data.template_id
          })
  
        }
      }
      base.newRequest(params)
    },
    pay(e) {
		var that = this
		// let repair_order_id = e.currentTarget.dataset.id
		let params = {
			url: apiList.material_signPay,
			type: "GET",
			data: {
				repair_order_id: 160
			},
			callback: (data) => {
				console.log(data)
				wx.requestPayment({
					'timeStamp': data.timeStamp,
					'nonceStr': data.nonceStr,
					'package': data.package,
					'signType': data.signType,
					'paySign': data.paySign,
					'success': function (res) {
						console.log(res);
						setTimeout(() => {
							wx.navigateTo({
								url: '/pages/payResult/payResult?status=1&repair_order_id=' + repair_order_id,
							})
						}, 1000)
					},
					'fail': function (res) {
						console.log(res);
						setTimeout(() => {
							wx.navigateTo({
								url: '/pages/payResult/payResult?status=0&repair_order_id=' + repair_order_id
							})
						}, 1000)
					}
				})
			},
		}
		wx.showLoading({
			title: '努力加载中...',
		})
		base.newRequest(params)
	},
    // pay() {
    //     let that = this
    //     that.setData({
    //         isHide: true,
    //         button: false
    //     })
    //     if(!this.data.phone) {
    //         base.toast('请输入手机号')
    //         that.setData({
    //             isHide: false,
    //             button: true
    //         })
    //         return
    //     }
    //     if(!this.data.note) {
    //         base.toast('请填写备注')
    //         that.setData({
    //             isHide: false,
    //             button: true
    //         })
    //         return
    //     }
    //     let params = {
    //         url: '/api/order/quick_pay',
    //         type: 'post',
    //         data: {
    //             price: 240,
    //             tel: this.data.phone,
    //             remark: this.data.note,
    //             // stadium_id: app.globalData.stadium_id
    //             stadium_id: 21,
    //         },
    //         callback: (data) => {
    //           console.log(data)
    //           wx.requestPayment({
    //             'timeStamp': data.pay.timeStamp,
    //             'nonceStr': data.pay.nonceStr,
    //             'package': data.pay.package,
    //             'signType': data.pay.signType,
    //             'paySign': data.pay.paySign,
    //             'success': function (res) {
    //               that.setData({
    //                   isHide: false,
    //                   button: true
    //               })
    //               setTimeout(()=>{
    //                 wx.redirectTo({
    //                   url: '/pages/quickPay/payMent/payMent',
    //                 })
    //               }, 1000)
    //             },
    //             'fail': function (res) {
    //               that.setData({
    //                   isHide: false,
    //                   button: true
    //               })
    //               wx.showToast({
    //                 title: '支付失败请重试',
    //                 icon: 'none',
    //                 duration: 3000
    //               })
    //               console.log(res)
    //             }
    //           })
    //         },
    //         confirmback: () => {
    //           that.setData({
    //               isHide: false,
    //               button: true
    //           })
    //         }
    //     }
    //     base.newRequest(params)
    // }
})